### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-expandable/ecl-expandable.component.ts`

### Implements

`OnInit`

### Metadata

selector | `ecl-expandable`
templateUrl | `./ecl-expandable.component.html`

### Index

###### Methods
onButtonClick
###### Inputs
isExpanded label labelExpanded styleClass
###### Outputs
toggle

### Constructor

`constructor()`

### Inputs

isExpanded
Type : `boolean`

label
Type : `string`

labelExpanded
Type : `string`

styleClass
Type : `string`

### Outputs

toggle
Type : `EventEmitter`

### Methods

onButtonClick
`onButtonClick()`
Returns : `void`

# result-matching ""

# No results matching ""